%define upstream_name	 Gtk3
%define	upstream_version 0.33.0

%define perl_glib_require 1.280

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::Simple\\)

%bcond_with debug

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz
# helper for exception management:
Patch1:     exceptions.diff
# set up GdkX11:
Patch6:     GdkX11.diff
#Patch7: gio.diff

BuildArch:  noarch

BuildRequires: perl(Cairo::GObject) >= 1.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) >= 0.43.0
BuildRequires: perl(Test::Simple) >= 0.960.0
BuildRequires: perl-devel
%if %with debug
BuildRequires: x11-server-xvfb
%endif
BuildRequires: lib64girepository-devel
BuildRequires: lib64gtk+3.0-devel

Requires:   perl(Glib) >= 1.302.0-6

%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
rm -rf %buildroot
%make_install

%if %with debug
%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
xvfb-run make test
%endif

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*

%changelog
* Sat Dec 23 2017 bb2 <bb2> 0.33.0-1pclos2017
- update for draklive-install
